LinuxQMISDK: fileAttributes Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
fileAttributes Struct Reference

## Data Fields
WORD | fileSize
WORD | fileID
BYTE | fileType
WORD | recordSize
WORD | recordCount
BYTE | secRead
WORD | secReadMask
BYTE | secWrite
WORD | secWriteMask
BYTE | secIncrease
WORD | secIncreaseMask
BYTE | secDeactivate
WORD | secDeactivateMask
BYTE | secActivate
WORD | secActivateMask
WORD | rawLen
BYTE | rawValue [255]

## Detailed Description

This structure contains the information about the File Attributes.

Parameters

  fileSize | Indicates the size of the file.
  fileID | Indicates the ID of the file.
  fileType | Indicates the type of the file. 0 - Transparent 1 - Cyclic 2 - Linear fixed 3 - Dedicated file 4 - Master file
  recordSize | Indicates the size of the records. Only for cyclic and linear fixed files
  recordCount | Indicates the total no. of the records. Only for linear fixed files
  secRead | Read security attributes. 0 - Always 1 - Never 2 - AND condition 3 - OR condition 4 - Single condition
  secReadMask | Mask with read security attributes. This field is valid only when required by security attributes. Bit 0 - PIN1 Bit 1 - PIN2 Bit 2 - UPIN Bit 3 - ADM
  secWrite | Write security attributes. 0 - Always 1 - Never 2 - AND condition 3 - OR condition 4 - Single condition
  secWriteMask | Mask with write security attributes. This field is valid only when required by security attributes. Bit 0 - PIN1 Bit 1 - PIN2 Bit 2 - UPIN Bit 3 - ADM
  secIncrease | Increase security attributes. 0 - Always 1 - Never 2 - AND condition 3 - OR condition 4 - Single condition
  secIncreaseMask | Mask with increase security attributes. This field is valid only when required by security attributes. Bit 0 - PIN1 Bit 1 - PIN2 Bit 2 - UPIN Bit 3 - ADM
  secDeactivate | Deactivate security attributes. 0 - Always 1 - Never 2 - AND condition 3 - OR condition 4 - Single condition
  secDeactivateMask | Mask with deactivate security attributes. This field is valid only when required by security attributes. Bit 0 - PIN1 Bit 1 - PIN2 Bit 2 - UPIN Bit 3 - ADM
  secActivate | Activate security attributes. 0 - Always 1 - Never 2 - AND condition 3 - OR condition 4 - Single condition
  secActivateMask | Mask with activate security attributes. This field is valid only when required by security attributes. Bit 0 - PIN1 Bit 1 - PIN2 Bit 2 - UPIN Bit 3 - ADM
  rawLen | Length of the following elements i.e. raw value.
  rawValue[MAX_DESCRIPTION_LENGTH] | Raw value of file attributes.

## Field Documentation

WORD fileAttributes::fileID

WORD fileAttributes::fileSize

BYTE fileAttributes::fileType

WORD fileAttributes::rawLen

BYTE fileAttributes::rawValue[255]

WORD fileAttributes::recordCount

WORD fileAttributes::recordSize

BYTE fileAttributes::secActivate

WORD fileAttributes::secActivateMask

BYTE fileAttributes::secDeactivate

WORD fileAttributes::secDeactivateMask

BYTE fileAttributes::secIncrease

WORD fileAttributes::secIncreaseMask

BYTE fileAttributes::secRead

WORD fileAttributes::secReadMask

BYTE fileAttributes::secWrite

WORD fileAttributes::secWriteMask